aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tom111@gmx.de>2010-09-18 04:02:36 +0200
committerThomas Kahle <tom111@gmx.de>2010-09-18 04:02:36 +0200
commit5a775f47d71c9ef74bd40b83b93b90fc5be1aba0 (patch)
tree83d91c3ea736dd5498512c015160d8d222470273 /sci-mathematics
parentnew license: 'nauty' for sci-math/nauty (diff)
downloadsci-5a775f47d71c9ef74bd40b83b93b90fc5be1aba0.tar.gz
sci-5a775f47d71c9ef74bd40b83b93b90fc5be1aba0.tar.bz2
sci-5a775f47d71c9ef74bd40b83b93b90fc5be1aba0.zip
New package: sci-mathematics/nauty
Corresponding bug 337810
Diffstat (limited to 'sci-mathematics')
-rw-r--r--sci-mathematics/nauty/ChangeLog10
-rw-r--r--sci-mathematics/nauty/Manifest4
-rw-r--r--sci-mathematics/nauty/metadata.xml15
-rw-r--r--sci-mathematics/nauty/nauty-2.4.2.ebuild39
4 files changed, 68 insertions, 0 deletions
diff --git a/sci-mathematics/nauty/ChangeLog b/sci-mathematics/nauty/ChangeLog
new file mode 100644
index 000000000..724561162
--- /dev/null
+++ b/sci-mathematics/nauty/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-mathematics/nauty
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*nauty-2.4.2 (18 Sep 2010)
+
+ 18 Sep 2010; Thomas Kahle <tom111@gmx.de> +nauty-2.4.2.ebuild,
+ +metadata.xml:
+ Initial Commit. Corresponding Bug #337810
+
diff --git a/sci-mathematics/nauty/Manifest b/sci-mathematics/nauty/Manifest
new file mode 100644
index 000000000..9673f0992
--- /dev/null
+++ b/sci-mathematics/nauty/Manifest
@@ -0,0 +1,4 @@
+DIST nauty24r2.tar.gz 720754 RMD160 4d22200a646e453090cd8d31fc3adce6a1e47e69 SHA1 3f012beb399a9340f77d0104bf1c9bf1100e8286 SHA256 760f9cca43b8eb7dd083983ea0e137125ee8a181d460c970137cfb7490fe1621
+EBUILD nauty-2.4.2.ebuild 1006 RMD160 b26fa246f1b9ba310e9785b45e4aa9084c17fef5 SHA1 3b2c64cd8170f84c2d09d0721067b6773d0e0cc3 SHA256 b7b69bb4e7508fb44e88f343c1f6cac73252296137e7a5699bbc826cc6e8d387
+MISC ChangeLog 277 RMD160 4052ee1891beb80d66054f4328939fe00756ac76 SHA1 ccc20a787659f5be108d21e0cefbb58efa2141e7 SHA256 59dc2a8a8e77566dc192cb2cd509bea748120af791fed0f016207e3c1f53eaa8
+MISC metadata.xml 522 RMD160 ff7f731769b9409dd0979b9d1229a018b6200e7f SHA1 a69077ca56e167cb77a4b43a9577766b1f366942 SHA256 b74d24666e586b02001fd14625a20ab851579122d79b139073a5ad20f360c2c0
diff --git a/sci-mathematics/nauty/metadata.xml b/sci-mathematics/nauty/metadata.xml
new file mode 100644
index 000000000..4ff1eaa6b
--- /dev/null
+++ b/sci-mathematics/nauty/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-mathematics</herd>
+<maintainer>
+ <email>tom111@gmx.de</email>
+ <name>Thomas Kahle</name>
+</maintainer>
+<longdescription lang="en">
+nauty is a program for computing automorphism groups of graphs and digraphs. It can also produce a
+canonical labelling.
+
+nauty is written in a portable subset of C, and runs on a considerable number of different systems.
+</longdescription>
+</pkgmetadata>
diff --git a/sci-mathematics/nauty/nauty-2.4.2.ebuild b/sci-mathematics/nauty/nauty-2.4.2.ebuild
new file mode 100644
index 000000000..9cd4d8268
--- /dev/null
+++ b/sci-mathematics/nauty/nauty-2.4.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit versionator
+
+MY_PV=$(replace_version_separator 2 'r')
+MY_PV=$(delete_version_separator 1 ${MY_PV})
+
+DESCRIPTION="nauty is a program for computing automorphism groups of graphs and digraphs."
+HOMEPAGE="http://cs.anu.edu.au/~bdm/nauty/"
+SRC_URI="http://cs.anu.edu.au/~bdm/${PN}/${PN}${MY_PV}.tar.gz"
+
+LICENSE="nauty"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+S="${WORKDIR}/${PN}${MY_PV}"
+
+src_prepare () {
+ # configure does not use LDFLAGS from the environment
+ sed -i "s/LDFLAGS=/LDFLAGS=${LDFLAGS}/" makefile.in \
+ || die "sed on makefile failes"
+}
+
+src_test () {
+ make checks || die "tests failed"
+}
+
+src_install () {
+ dobin addedgeg amtog biplabg catg complg copyg countg \
+ deledgeg directg dreadnaut dretog genbg geng genrang \
+ gentourng labelg listg multig newedgeg NRswitchg pickg \
+ planarg shortg showg || die "install failed"
+ dodoc README formats.txt
+}